|  |  | Methods

## Methods

Methods are GOO's code objects. Methods can optionally be added to generics.

`<met>` | `(<fun>)` | `C`
`met-app?` | `(x|<met> args|<lst> => <log>)` | `G`
| determines whether `x` is applicable when called with `args`. |
`DM` | `(DM ,name ,sig ,@body)` | `S`
| first ensures that a generic exists named ,name and with a minimally congruent to signature `,sig` and then adds a method with signature `,sig` and body `,@body` (cf., Dylan's `DEFINE METHOD`). |
`SUP` | `(SUP ,@args)` | `S`
| calls next most applicable method. N.B., all arguments must be supplied. |
| `(APP-SUP ,@args)` | `S`
| applies next most applicable method. N.B., all arguments must be supplied. |

|  |  | Methods